Subject: Re: remote#branch

From: Jan Hudec <[email-masked]>
Date: Mon, 29 Oct 2007 18:40:00 +0100

On Sun, Oct 28, 2007 at 00:01:57 +0100, Johannes Schindelin wrote:
> Hi,
> 
> On Sat, 27 Oct 2007, Jan Hudec wrote:
> 
> > On Tue, Oct 16, 2007 at 22:35:25 +0100, Johannes Schindelin wrote:
> >
> > > ',' is allowed in ref names, so ',' is out.
> > 
> > Actually since many characters that are allowed in ref name are not 
> > allowed in URL at all, the ref-name has to be url-escaped. Which brings 
> > all characters back in, because they can always be specified escaped.
> 
> No.  The URL part of it has to be encoded.  But the ref names do _not_.  
> (If we really want to have a way to specify the remote URL and the 
> branch(es) we want to fetch _at the same time_.)

If the branch names are not url-escaped, than the result is not an URL. Which
is just ugly and confusing. If it looks like an URL, it should better be one.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>